MUPDF(1)

NAME
mupdf - MuPDF is a lightweight PDF viewer written in portable C

SYNOPSIS
mupdf [options] file

DESCRIPTION
MuPDF is a document viewer that can show PDF, XPS, EPUB, XHTML, CBZ, and various image formats such as PNG, JPEG, GIF, and TIFF.

OPTIONS
A description of each of the supported options is included below.

-p password
    Uses the given password to open an encrypted PDF file. The password is tried both as user and owner password.

-r resolution
    Changes the initial zoom level, specified as the resolution in dpi. The default value is 72.

-A bits
    Changes the anti-aliasing quality, specified as a number of bits between 0 (off) and 8 (best). The default value is 8.

-C RRGGBB
    Sets the full-page tint using hexadecimal color syntax. The default value is FFFAF0.

-W width
    Page width in points for EPUB layout.

-H height
    Page height in points for EPUB layout.

-S size
    Font size in points for EPUB layout.

-U CSS-file
    User style sheet for EPUB layout.

MOUSE BEHAVIOR

Left mouse button click
    A left click on a hyper link follows the link. In presentation mode advances to the next page.

Right mouse button click
    In presentation mode goes back to the previous page.

Left mouse button drag
    Pan the page. Panning beyond the bottom or top edge will go to the next or previous page.

Right mouse button drag
    Select text in an area. On X11, the selected text can be pasted in another application with a middle click. Press Ctrl+C to copy the selected text to the clipboard. On Windows, the selected text will automatically be copied to the clipboard.

Scroll wheel
    Pan page up or down. Does not change page when reaching the bottom or top edge.

Shift + Scroll wheel
    Pan page left or right.

Control + Scroll wheel
    Zoom in or out.

Shift + Control + Scroll wheel
    Fine grained Zoom in or out.

KEY BINDINGS

Page navigation:

. pgdn right space
    Go to the next page.

, pgup left b backspace
    Go to the previous page.

<, >
    Skip back/forth 10 pages at a time.

123g
    Go to page 123.

g, G
    Go to the first or last page.

m   Mark current page for snap back. Up to 256 pages can be marked.

t   Pop back to the latest mark.

[0-9]m
    Save the current page number in the numbered register.

[0-9]t
    Go to the page saved in the numbered register.

Zooming and rotating:

+, -
    Zoom in or out.

W, H
    Zoom page to exactly fit width/height of window.

Z   Zoom page to fit either to width or height of window.

L, R
    Rotate page left (counter-clockwise) or right (clockwise).

w   Shrinkwrap window to fit the page.

f   Toggles fullscreen mode.

Panning:

h, j, k, l
    Pan page left, down, up, or right.

Searching:

/, ?
    Search for text forwards or backwards.

n, N
    Find the next/previous search result.

Miscellanous:

[, ]
    Increase/decrease EPUB/XHTML font size.

r   Reload file.

p   Toggle presentation mode.

c   Toggle between color and grayscale rendering.

C   Toggle full-page color tinting.

i   Toggle between normal and inverted color rendering.

S   Save updated document file.

q   Quit.

SIGNALS

SIGHUP
    Sending a SIGHUP signal to the mupdf process will also cause the viewed file to be reloaded automatically, for use in e.g. build scripts.

SEE ALSO
mutool(1).

AUTHOR
MuPDF is Copyright 2006-2017 Artifex Software, Inc.